$background-color: rgb(22, 32, 44);
$background-color-op: rgb(29, 44, 61);
$color: yellow;
$selected: #fed800;
$dark-border: #345170;
$light-blue:#b1cfef;
$small-text: 11px;
$x-small-text:11px;
$very-small-text:10px;

$breakpoint-desktop: 992px;
$breakpoint-tablet: 768px;
$breakpoint-mobile: 767px;

a {
    color: #fff;
    font-weight: 300;
}

body {
    font-family: 'Mulish','Segoe ui', sans-serif;
    font-size: 14px;
    font-weight: 300;
    background-color: $background-color;
    color: #fff;
}

/* -----------Utils------------- */
.font-medium {
    font-weight: 400;
}
.font-semi-bold {
    font-weight: 200;
}
.font-bold {
    font-weight: 700;
}
.text-yellow {
    color: $color;
}
.text-light-blue {
    color: $light-blue;
}
.form-control {
    background-color: $background-color-op;
    border: 1px solid $dark-border;
    color: #fff;

    &::placeholder {
        color: $light-blue;
        font-size: $small-text;
    }

    &:focus {
        color: $light-blue;
        background-color:  $background-color-op;
        border-color: $dark-border;
        outline: 0;
        box-shadow: 0 0 0 0.2rem rgba(0, 123, 255, 0.25);
    }
}
.bg-theme {
    background-color: $background-color;
    color: $color;

    &:hover {
        color: #fff;
    }
}

.btn-theme {
    background-color: $selected;
    color: $background-color;
    padding-left: 40px;
    padding-right: 40px;
}
iframe {
    min-width: 95vw;
    min-height: 85vh;
    width: 100%;
    height: 100%;
    border: none;
}

/* --------------Header------------- */
.header {
    display: flex;
    justify-content: space-between;
    height: 60px;
    align-items: center;

    .logo {
        color: $color;
    }

    a {
        font-weight: 500;
    }

    .top-nav {
        a {
            &:hover {
                color: $color;
            }
        }
        ul li {
            &:nth-child(2) {
                background-color: $color;
                border-radius: 3px;
            }
            &:nth-child(2) a { 
                color: $background-color;
            }
        }
    }
}

/* -------------Nav------------ */
.nav-custom {
    background-color: $background-color-op !important;
    padding: 5px 5px;

    a {
        font-weight: 400;
        &.active {
            color: $color;
        }
        &:hover {
            color: $color;
        }
        &:active {
            color: $color;
        }
    }
}
.quick-link-header span:hover {
    color: $color;
}

/* ----------------Main section------------- */
.sport-list {
    li {
        margin-bottom: 10px;
        cursor: pointer;

        &:hover {
            color: $color;
        }
    }
}

.quick-link-header {
    display: flex;
    gap: 10px;
    padding: 10px 0px;

    span {
        display: inline-block;
        margin-right: 10px;
    }
}

.sport-header {
    display: flex;
    padding: 2px 0px;
    align-items: center;
    border-bottom: 1px dashed $dark-border;   

    .markets-body {
        display: flex;
        gap: 20px;
        margin-left: auto;
    }

    .markets-body p {
        margin-bottom: 5px;
        text-align: center;
    }

    .more-markets {
        font-size: $very-small-text;
        color: $color;
        cursor: pointer;
    }
}

.markets-body {
    .markets-header.three {
        min-width: 13rem;
    }
    .markets-header.two {
        min-width: 8.8rem;
    }
} 

.markets-header 
{
    .markets-odd {
        display: flex;
        justify-content: space-between;
        padding: 4px 0px;
        align-items: center;
        gap: 6px;
    }
    .markets-odd span {
        flex-grow: 1;
        text-align: center;
        font-size: $small-text;
        width: calc(100%/3);
    }
}

.m-sidebar {
    overflow-x: scroll;
    padding: 5px;
    display: flex;
    gap: 5px;
    flex-wrap:nowrap;

    div {
        padding: 4px 2px;
        width: max-content;
    }
    .sport-name {
        font-size: $very-small-text;
        font-weight: 200;
        margin-top: 4px;
        white-space: nowrap;
    }
}

/* ----------------Matches------------------ */
.market-header.teams-header {
    display: flex;
    flex-direction: column;
    justify-content: center;
    padding: 4px 0px;
}
.teams-header .time, .match-info .time, .team .time {
    font-size: $very-small-text !important;
    font-weight: 400;
    color: $light-blue;
}
.markets-body{
    .span-odds {
        border-radius: 5px;
        background-color: $background-color-op;
        padding: 8px 5px;
        border: 1px solid $dark-border;
        font-weight: 600;

        &.selected {
            color: $background-color;
            border: 1px solid $color;
            background-color: $selected;
        }
        i {
            margin-inline-end: 0px;
        }
    }
    
}
 .single-market-wrapper .market-odds .odds.selected { 
   color: $background-color;
   border: 1px solid $color;
   background-color: $selected;
}

/* --------------Single Match--------------- */
.single-match-header {
    display: flex;
    align-items: center;
    padding: 20px 2px;
    border-bottom: 1px dashed $dark-border;

    p {
        flex-grow: 1;
        margin-bottom: 3px;
    }
}
.single-match-teams {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 2px;
    border-bottom: 1px dashed $dark-border;
    .team {
        display: flex;
        flex-direction: column;
        align-items: center;
        justify-content: center;

        p {
            margin-bottom: 2px;
        }
    }
    div {
        flex-grow: 1;
    }
}

.single-market-wrapper {
    border-bottom: 1px dashed $dark-border;
    padding: 2px 0px 8px;
    display: flex;
    flex-direction: column;

    p {
        margin-bottom: 0px;
        padding: 5px 0px;
    }
    .market-odds {
        display: grid;
        gap: 10px;
        margin-block: 5px;
    }
    .market-odds .odds {
        padding: 8px;
        background-color: $background-color-op;
        border: 1px solid $dark-border;
        display: flex;
        justify-content: space-between;
        align-items: center;
        border-radius: 5px;
        cursor: pointer;

        span:nth-child(1) {
            font-weight: 300;
        }
    }
}
/* -----------------Jackpot---------------- */
.sport-header.jackpot {
    border-top: 1px dashed $dark-border;

    &> div {
        flex-grow: 1;
        width: 50%;
    }
}
.single-market-wrapper .market-odds.jackpot .odds, .single-market-wrapper .market-odds span:nth-of-type(1) {
    flex-grow: 1;
}
.markets-body .markets-header.jackpot {
    width: 100%;
}


/* ----------------Countries---------------- */
.countries {
    padding-top: 10px;
    border-top: 1px dashed $dark-border;

    li  a {
        padding: 6px 0;
        display: block;
        position: relative;
    }
    a {
        text-decoration: none;
        &:hover, &:visited  {
            text-decoration: none;
            color: $color;
        }
        &[aria-expanded="true"]::after {
            content: "\ef9a";
            font-weight: 500;
        }
        &::after {
            font-family: icofont;
            font-weight: 500;
            display: block;
            position: absolute;
            right: 10px;
            font-size: 10px;
            border: none;
            top:10px;
        }
        &a[aria-expanded="false"]::after {
            content: "\efc2";
        }
    }
    .leagues {
        padding: 4px 0px;
        background: linear-gradient($dark-border 33%, rgba(255, 255, 255, 0) 0%) 0px/1px 3px repeat-y transparent;

        li {
            padding: 4px 5px;
            color:  $light-blue;
            font-size: $small-text;
            cursor: pointer;

            &:hover {
                color: $color;
            }

            i {
                margin-right: 4px;
            }
            
        }
        
    }
} 
/* ------------------Betslip----------------- */
.betslip {
    .match {
        padding: 5px 0px;
        display: flex;
        flex-direction: column;
        justify-content: center;
        /* margin-bottom: 5px; */
        border-bottom: 1px dashed $dark-border;
    }
    .match {
        div {
            margin-bottom: 0px;
            /* font-size: $small-text !important; */
        }
        p, .picked-market {
            font-size: $small-text;
            margin-bottom: 0px;
        }
        &-info {
            display: flex;
            justify-content: space-between;
            align-items: center;
        }
    }
    .close-icon i {
        margin-right: 0px;
        color: $color;
        cursor: pointer;
    }
    &-header {
        border-bottom: 1px dashed $dark-border;
        display: flex;
        justify-content: space-between;
        align-items: center;
         
        p {
            margin-bottom: 5px;
            &.clear {
                cursor: pointer;
            }
            .clear:hover {
                color:  $color;
            }
        }
    }
    .no-betslip {
        margin-top: 10px;
        background-color: $background-color-op;
        height: 100px;
        border-radius: 5px;
        width: 100%;
        display: flex;
        justify-content: center;
        place-items: center;
        flex-direction: column;
    }
    .show-matches {
        max-height: 70vh;
        overflow-y: auto;
    }
    .show-odds-info {
        display: flex;
        flex-direction: column;
    }
    .show-row-info {
        display: flex;
        justify-content: space-between;
        align-items: center;
    }
    .show-row-info p:nth-child(1) {
        font-weight: 500;
        font-size: 12px;
    }
    .show-row-info p {
        margin-bottom: 3px;
    }
    .show-odds-info .form-control {
        margin-top: 10px;
        background-color: $background-color-op;
        border: 1px solid $dark-border;
        margin-bottom: 5px;
        color: #fff;
    }
    .betslip-buttons {
        display: flex;
        gap: 10px;
        align-items: center;
    }
    .betslip-buttons {
        button:nth-child(1) {
            background-color: $color;
            color: $background-color-op;
            font-weight: 600;
            flex-grow: 1;
            cursor: pointer;
        }
        button:nth-child(2) {
            background-color: blanchedalmond;
            color: coral;
            font-weight: 500;
            flex-grow: 1;
            cursor: pointer;
        }
    }
} 
/* --------------Auth Layout--------------- */
.login,.image {
    min-height: 100vh;
}

.bg-image {
    background-image: url('../public/images/large.png');
    background-size: cover;
    background-position: center center;
    background-color: rgba(0,0,0,.4);
}

.auth-background {
    background-color: $background-color;

    .btn-default-theme {
        background-color: $color;
        color: $background-color;
        font-weight: 600;
    }

    .home-link {
        text-decoration: none;
        color: $color;

        &:hover {
            text-decoration: none !important;
            color: white !important;
        }

        &:hover {
            color: $background-color-op !important;
        }
    }
}

/* -------------------Casino--------------- */
.casino-grid {
    display: grid;
    gap: 10px;

    img {
        width: 100%;
        border-radius: 4px;
    }

    .casino-game-info {
        display: flex;
        padding: 8px 0px;
        align-items: center;
        border-bottom: 1px dashed $dark-border;
    }

    .casino-card-overlay {
        position: relative;
    }

    .casino-game-overlay {
        position: absolute;
        display: flex;
        flex-direction: column;
        left: 0;
        top: 0;
        right: 0;
        bottom: 0;
        justify-content: center;
        background: rgba(0,0,0,.4);
        padding: 10px;
        opacity: 0;
    }

    .casino-game-info span:hover {
        color: $color;
        cursor: pointer;
    }
}
.casino-search {
    display: flex;
    padding: 10px 0px;
}

/* ------------Footer------------ */
.footer {
    border-top: 1px dashed $dark-border;
}
.fixed-footer {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 3px;
    background-color: $background-color-op;

    & > div {
        height: 50px;
    }

    span {
        font-weight: 600;
        font-size: $small-text;
    }

    .betslip {
        display: block;
        width: 30px;
        height: 30px;
        background-color: $selected;
        color: $background-color;
        border-radius: 50%;
    }
}

/* --------------Media Queries------------- */
@media (max-width: $breakpoint-mobile) { 
    .header {
        padding: 5px 10px;
    }
    .single-market-wrapper {
        .market-odds.three-columns {
            grid-template-columns: repeat(2,1fr);
        }

        .market-odds.two-columns {
            grid-template-columns: repeat(2,1fr);
        }
    }
    .casino-grid {
        grid-template-columns: repeat(2, 1fr);
    }
    .casino-search input { 
        flex-basis: 100%;
    }
    .markets-body .span-odds {
        padding: 10px 5px; 
    }
}

@media (min-width: $breakpoint-tablet) { 
    .single-market-wrapper {
        .market-odds.three-columns {
            grid-template-columns: repeat(3,1fr);
        }
        .market-odds.two-columns {
            grid-template-columns: repeat(2,1fr);
        }
    }
    .header {
        padding: 5px 10px;
    }
    .casino-grid {
        grid-template-columns: repeat(3, 1fr);
    }
    .casino-search input { 
        flex-basis: 30%;
    }
}

@media (min-width: $breakpoint-mobile) { 
    .header {
        padding: 5px 20px;
    }
    .wrapper { 
        display: flex;

        .main-feeds {
            flex-grow: 2;
            display: flex;
        }

        .main-feeds .sidebar {
            min-width: 180px;
        }

        .main-feeds .main-home {
            flex-grow: 1;
        }

        .betslip{
            min-width: 350px;
            max-width: 350px;
            padding: 5px 10px ;
            /* background-color: orangered; */
            margin-left: 10px;
        }
    }
    
    .casino-grid {
        grid-template-columns: repeat(5, 1fr);
    }
}

@media (min-width: 1500px) { 
    .casino-grid {
        grid-template-columns: repeat(6, 1fr);
    }
}